### Method

# Gtk MessageDialogset_markup

deprecated: 4.10

#### Declaration [src]

    void
    gtk_message_dialog_set_markup (
      GtkMessageDialog* message_dialog,
      const char* str
    )

#### Description [src]

Sets the text of the message dialog.

Deprecated since: 4.10

Use `GtkAlertDialog` instead.

#### Parameters

`str`

  Type: `const char*`

  String with Pango markup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.